Loading...
Searching...
No Matches
VInterpolate Class Reference

`#include <VInterpolate8.h>`

Inheritance diagram for VInterpolate:
[legend]
Collaboration diagram for VInterpolate:
[legend]

## Public Member Functions

| VInterpolate (VipsInterpolate *interpolate, VSteal steal=STEAL)
VipsInterpolate * | get_interpolate () const
Public Member Functions inherited from VObject
| VObject (VipsObject *new_vobject, VSteal steal=STEAL)
| VObject (const VObject &a)
VObject & | operator= (const VObject &a)
VipsObject * | get_object () const
bool | is_null () const

## Static Public Member Functions

static VInterpolate | new_from_name (const char *name, VOption *options=nullptr)

## Detailed Description

An interpolation. You can pass one of these to something like VImage::affine for it to use to interpolate pixels.

The available interpolators vary a bit with your libvips version and how it was built, but will include `nearest`, `bilinear` and `bicubic`. Run vips -l interpolate` to see them all.

## Constructor & Destructor Documentation

## VInterpolate()

VInterpolate::VInterpolate | ( | VipsInterpolate * | interpolate,
|  | VSteal | steal = `STEAL`
| ) |  |

inline explicit

Create a VInterpolate that wraps a VipsInterpolate object. If steal is STEAL, then this VInterpolate takes over ownership of the libvips object and will automatically unref it.

## Member Function Documentation

## get_interpolate()

VipsInterpolate * VInterpolate::get_interpolate | ( |  | ) | const

inline

Get a pointer to the underlying VipsInterpolate object.

## new_from_name()

VIPS_NAMESPACE_START VInterpolate VInterpolate::new_from_name | ( | const char * | name,
|  | VOption * | options = `nullptr`
| ) |  |

static

Create a VInterpolate from a name, for example `"bicubic"`.

The documentation for this class was generated from the following files:

- /build/vips-mjIWxD/vips-8.16.0/cplusplus/include/vips/VInterpolate8.h
- /build/vips-mjIWxD/vips-8.16.0/cplusplus/VInterpolate.cpp